# Class TCefMenuModelDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMenuModelDelegate

## Declaration

`type TCefMenuModelDelegateOwn = class(TCefBaseRefCountedOwn, ICefMenuModelDelegate)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefMenuModelDelegateOwn

## Overview

### Methods

| `procedure ExecuteCommand(const menuModel: ICefMenuModel; commandId: Integer; eventFlags: TCefEventFlags); virtual;`
| `procedure MouseOutsideMenu(const menuModel: ICefMenuModel; const screenPoint: PCefPoint); virtual;`
| `procedure UnhandledOpenSubmenu(const menuModel: ICefMenuModel; isRTL: boolean); virtual;`
| `procedure UnhandledCloseSubmenu(const menuModel: ICefMenuModel; isRTL: boolean); virtual;`
| `procedure MenuWillShow(const menuModel: ICefMenuModel); virtual;`
| `procedure MenuClosed(const menuModel: ICefMenuModel); virtual;`
| `function FormatLabel(const menuModel: ICefMenuModel; var label_ : ustring) : boolean; virtual;`
| `constructor Create; virtual;`

## Description

### Methods

| `procedure ExecuteCommand(const menuModel: ICefMenuModel; commandId: Integer; eventFlags: TCefEventFlags); virtual;`
This item has no description. Showing description inherited from ICefMenuModelDelegate.ExecuteCommand. Perform the action associated with the specified |command_id| and optional |event_flags|.

| `procedure MouseOutsideMenu(const menuModel: ICefMenuModel; const screenPoint: PCefPoint); virtual;`
This item has no description. Showing description inherited from ICefMenuModelDelegate.MouseOutsideMenu. Called when the user moves the mouse outside the menu and over the owning window.

| `procedure UnhandledOpenSubmenu(const menuModel: ICefMenuModel; isRTL: boolean); virtual;`
This item has no description. Showing description inherited from ICefMenuModelDelegate.UnhandledOpenSubmenu. Called on unhandled open submenu keyboard commands. |is_rtl| will be true (1) if the menu is displaying a right-to-left language.

| `procedure UnhandledCloseSubmenu(const menuModel: ICefMenuModel; isRTL: boolean); virtual;`
This item has no description. Showing description inherited from ICefMenuModelDelegate.UnhandledCloseSubmenu. Called on unhandled close submenu keyboard commands. |is_rtl| will be true (1) if the menu is displaying a right-to-left language.

| `procedure MenuWillShow(const menuModel: ICefMenuModel); virtual;`
This item has no description. Showing description inherited from ICefMenuModelDelegate.MenuWillShow. The menu is about to show.

| `procedure MenuClosed(const menuModel: ICefMenuModel); virtual;`
This item has no description. Showing description inherited from ICefMenuModelDelegate.MenuClosed. The menu has closed.

| `function FormatLabel(const menuModel: ICefMenuModel; var label_ : ustring) : boolean; virtual;`
This item has no description. Showing description inherited from ICefMenuModelDelegate.FormatLabel. Optionally modify a menu item label. Return true (1) if |label| was modified.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.